#
# spec file for package perl-Data-Integer
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Data-Integer
Version:        0.006
Release:        1.27
%define cpan_name Data-Integer
Summary:        Details of the Native Integer Data Type
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Data-Integer/
Source0:        https://cpan.metacpan.org/authors/id/Z/ZE/ZEFRAM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(parent)
Requires:       perl(parent)
%{perl_requires}

%description
This module is about the native integer numerical data type. A native
integer is one of the types of datum that can appear in the numeric part of
a Perl scalar. This module supplies constants describing the native integer
type.

There are actually two native integer representations: signed and unsigned.
Both are handled by this module.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Aug  8 2017 coolo@suse.com
- updated to 0.006
  see /usr/share/doc/packages/perl-Data-Integer/Changes
  version 0.006; 2017-08-07
  * no longer include a Makefile.PL in the distribution
  * in documentation, use four-column indentation for all verbatim
    material
  * in META.{yml,json}, point to public bug tracker
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.005
  see /usr/share/doc/packages/perl-Data-Integer/Changes
  version 0.005; 2015-03-29
  * avoid a spurious warning generated by new Perls starting with
    Perl 5.21.6
  * include META.json in distribution
  * convert .cvsignore to .gitignore
  * add MYMETA.json to .cvsignore
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.004
  * created by cpanspec 1.78.04
